Bug 1336707 - Domain local group from foreign domain is not resolved from user in different domain
Summary: Domain local group from foreign domain is not resolved from user in different...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-extension-aaa-ldap
Classification: oVirt
Component: Core
Version: 1.1.2
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.1.0-beta
: 1.3.0
Assignee: Ondra Machacek
QA Contact: Gonza
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-17 09:16 UTC by Ondra Machacek
Modified: 2017-02-15 14:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 14:50:45 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 57965 0 None None None 2016-11-10 14:49:46 UTC

Description Ondra Machacek 2016-05-17 09:16:36 UTC
Description of problem:


Version-Release number of selected component (if applicable):
1.1.2

How reproducible:
always

Steps to Reproduce:
Have such AD setup:
AD1 (GC) <-> AD2 (GC)
   |                            |
user1                   group1 (security domain local group)

Assign user1 as member of group1 and add group1 to oVirt with some permissions and login.

Actual results:
User is not authorized to perform this action.

Expected results:
Login successfull.

Additional info:
Current implementation don't resolve domain local groups which are in different domain.

Comment 1 Ondra Machacek 2016-05-18 09:00:36 UTC
After first look I think the problem is that domain local group members are not located in GC, that means
we can't use whatever gc we want in order to resolve groups, but GC where domain local group resides.

Comment 2 Martin Perina 2016-07-27 07:25:19 UTC
Targeting to 4.1, when patch is merged we can discuss backporting to 4.0.z or even 3.6.z

Comment 3 Martin Perina 2016-12-19 10:33:52 UTC
Included in ovirt-engine-extension-aaa-ldap-1.3.0

Comment 4 Gonza 2017-02-08 16:34:26 UTC
Verified with:
ovirt-engine-extension-aaa-ldap-1.3.1-0.0.master.20170115190508.gitda48d9d.el7.noarch
ovirt-engine-4.1.0-0.2.master.20161213122836.git2cd5587.el7.centos.noarch

include = <ad-recursive.properties>


Note You need to log in before you can comment on or make changes to this bug.